import { OnInit, ElementRef } from '@angular/core';
import { DashboardConfig, DashboardFiltroConfig, DashboardPantallaConfig } from '../../models/DashboardConfig.model';
import { DashboardPanelPantallaConfig } from '../../models/DashboardPanelConfig.model';
import { ApiService } from '../../services/api.service';
export declare class DashboardComponent implements OnInit {
    private el;
    private apiService;
    config: DashboardConfig;
    divisionTamano: number;
    idxPanelPantallaCompleta: any;
    anchoElemento: number;
    altoGrilla: number;
    configuracionPantalla: DashboardPantallaConfig;
    datos: any[];
    constructor(el: ElementRef, apiService: ApiService);
    ngOnInit(): void;
    onResize(): void;
    onCambioFiltro(i: string, data?: {}): void;
    onPantallaCompleta(idxPanel: any): void;
    calcularVariablesTamano(): void;
    obtenerConfigPanelPantalla(pantallas: DashboardPanelPantallaConfig[]): DashboardPanelPantallaConfig;
    obtenerFiltrosUnificados(filtros: DashboardFiltroConfig[]): {};
    recargarDatos(): void;
}
