import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import * as am4charts from '@amcharts/amcharts4/charts';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoBarrasConfig } from '../../models/GraficoBarrasConfig.model';
export declare class GraficoBarrasComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    config: GraficoBarrasConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    idGrafico: string;
    categoryAxis: am4charts.CategoryAxis<am4charts.AxisRenderer>;
    series: any;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
