import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import * as am4charts from '@amcharts/amcharts4/charts';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoHeatmapConfig } from '../../models/GraficoHeatmapConfig.model';
export declare class GraficoHeatmapComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    config: GraficoHeatmapConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    private heatLegend;
    idGrafico: string;
    private xAxis;
    private yAxis;
    series: am4charts.ColumnSeries;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    handleHover(column: any): void;
    ngOnDestroy(): void;
}
