import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { MatTableDataSource } from '@angular/material/table';
import { GraficoTablaConfig } from '../../models/GraficoTablaConfig.model';
export declare class GraficoTablaComponent implements OnInit, OnChanges {
    paginator: MatPaginator;
    sort: MatSort;
    config: GraficoTablaConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    dataSource: MatTableDataSource<any>;
    displayedColumns: string[];
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    applyFilter(event: Event): void;
    clickFila(fila: any): void;
}
