import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoLineaConfig } from '../../models/GraficoLineaConfig.model';
export declare class GraficoLineaComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    config: GraficoLineaConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    private series;
    private valueAxis;
    idGrafico: string;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
