import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { GraficoMapaConfig } from '../../models/GraficoMapaConfig.model';
import { GoogleMap } from '@angular/google-maps';
export declare class GraficoMapaComponent implements OnInit, OnChanges {
    config: GraficoMapaConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    map: GoogleMap;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    clickMarker(data: any): void;
    centrarMapa(): void;
}
