import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoPastelConfig } from '../../models/GraficoPastelConfig.model';
export declare class GraficoPastelComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    config: GraficoPastelConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    private pieSeries;
    idGrafico: string;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
