import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoTreemapConfig } from '../../models/GraficoTreemapConfig.model';
export declare class GraficoTreemapComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    config: GraficoTreemapConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    idGrafico: string;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
