import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoVelocimetroConfig } from '../../models/GraficoVelocimetroConfig.model';
export declare class GraficoVelocimetroComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    config: GraficoVelocimetroConfig;
    datos: {};
    seleccion: EventEmitter<any>;
    private chart;
    private axis;
    private hand;
    private range0;
    private range1;
    private range2;
    idGrafico: string;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
