import { DashboardPanelConfig } from './DashboardPanelConfig.model';
export declare class DashboardConfig {
    tamanoMaximoX: number;
    pantallas: DashboardPantallaConfig[];
    paneles: DashboardPanelConfig[];
    servicioDatos?: DashboardServicioConfig;
    jwt: string;
    filtros: DashboardFiltroConfig[];
}
export declare class DashboardPantallaConfig {
    cantidadX: number;
    relacionXY: number;
    tamanoMinimoX: number;
}
export declare class DashboardFiltroConfig {
    llave: string;
    filtros: any;
}
export declare class DashboardServicioConfig {
    url?: string;
    method?: string;
    fncProcesarFiltros?: (filtros: DashboardFiltroConfig[]) => any;
    fncPreconsumo?: (datos: any[], filtros: DashboardFiltroConfig[]) => any[];
    fncPostconsumo?: (datos: any, filtros: DashboardFiltroConfig[]) => any[];
}
